ENV['RAILS_ENV'] ||= 'test'

$LOAD_PATH.unshift(File.dirname(__FILE__))

require File.expand_path('../dummy/config/environment', __FILE__)
require 'rubygems'
require 'pry'
require 'capybara/rails'
require 'capybara/rspec'
require 'database_cleaner'
require 'rspec/rails'
require 'genspec'

#require 'coveralls'
#Coveralls.wear!

load 'spec/dummy/Rakefile'

Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each { |f| require f }

#DatabaseCleaner.strategy = :transaction

RSpec.configure do |config|
  config.color_enabled = true
  config.formatter = 'documentation'

  config.use_transactional_fixtures = true
  config.order = "random"

  config.after(:each, :type => :request) do
    DatabaseCleaner.clean
    Capybara.reset_sessions!
    Capybara.use_default_driver
  end
end

def test_shop_token
  'f3d70d363fcc591d683b6e8aacbd9e'
end
