require 'spec_helper'

feature 'Event tracking' do
  let(:product) {
    Spree::Product.create(name: 'Test product', price: 1, available_on: 1.hour.ago, shipping_category: Spree::ShippingCategory.create(name: 'Whatever'))
  }

  it 'adds product\'s view event tracking' do
    visit spree.product_path(product)

    expect(page.html).to include('REES46.pushData(\'view\'')
  end
end
