require 'spec_helper'

describe :rees46_spree do
  with_args test_shop_token do
    within_source_root { FileUtils.mkdir('config'); FileUtils.touch("config/routes.rb") }

    it 'generates initializer with shop token' do
      subject.should generate('config/initializers/rees46_spree.rb') { |content|
        expect(content).to include("config.shop_token = '#{test_shop_token}'")
      }
    end
  end
end
