require 'spec_helper'

describe Rees46Spree::ParamsExtractor do
  let(:product) do
    OpenStruct.new(id: 1, price: 10, classifications: [Struct.new(:id).new.tap{|s| s.id = 1}])
  end

  it 'extracts hash with required data from product' do
    data = Rees46Spree::ParamsExtractor.get_from(product)

    expect(data).to eq({ item_id: 1, price: 10, is_available: 1, category_id: 1 })
  end
end
